Name:    libassuan
Summary: GnuPG IPC library
Version: 2.0.1
Release: 1

License: LGPL
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
Source2: %{name}-shr.o-1.0.5-aix32
Source3: %{name}-shr64.o-1.0.5-aix64
Source4: %{name}-pth-1.0.5.a
URL:     http://www.gnupg.org/
Group:   System Environment/Libraries
Obsoletes: %{name}-devel < %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pth-devel
BuildRequires: libgpg-error-devel >= 1.7

Requires: pth
Requires: libgpg-error >= 1.7
Requires: /sbin/install-info
Requires: info

%description
This is the IPC library used by GnuPG 1.9/2, GPGME and a few other
packages.

This package contains files needed to develop applications using %{name}.

The library is available as 32-bit and 64-bit.
- If you are compiling a 32-bit program, no special compiler options are
  needed.
- If you are compiling a 64-bit program, you have to compile and link your
  application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_prefix}/info
make %{?_smp_mflags}

cp src/.libs/%{name}.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc_r"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_prefix}/info
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared libraries containing already the
# 32-bit shared objects
${AR} -q src/.libs/%{name}.a ./%{name}.so.0

# Add the older 1.0.5 shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
cp %{SOURCE2} shr.o
/usr/bin/strip -X32 -e shr.o
/usr/bin/ar -X32 -q src/.libs/%{name}.a ./shr.o

cp %{SOURCE3} shr64.o
/usr/bin/strip -X64 -e shr64.o
/usr/bin/ar -X64 -q src/.libs/%{name}.a ./shr64.o


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/assuan.info

cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_libdir}/%{name}-pth.a
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/lib*.a

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post
/sbin/install-info %{_infodir}/assuan.info.gz %{_infodir}/dir || :


%postun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/assuan.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_datadir}/aclocal/*
%{_infodir}/assuan.info*
/usr/bin/*
/usr/include/*
/usr/lib/*


%changelog
* Thu Aug 26 2010 Michael Perzl <michael@perzl.org> - 2.0.1-1
- updated to version 2.0.1

* Fri Apr 16 2010 Michael Perzl <michael@perzl.org> - 2.0.0-1
- updated to version 2.0.0

* Mon Jun 23 2008 Michael Perzl <michael@perzl.org> - 1.0.5-1
- updated to version 1.0.5

* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 1.0.4-1
- updated to version 1.0.4 and included both 32-bit and 64-bit shared objects

* Sat Oct 06 2007 Michael Perzl <michael@perzl.org> - 1.0.3-1
- first version for AIX V5.1 and higher
